| HOpenGL Libraries (OpenGL package) | Contents | Index

Graphics.Rendering.OpenGL.GLU.NURBS

Portability | portable
Stability | provisional
Maintainer | sven.panne@aedion.de

Description
This module corresponds to chapter 7 (NURBS) of the GLU specs.
Documentation
withNURBSObj :: a -> (NURBSObj -> IO a) -> IO a
withBeginCallback :: NURBSObj -> BeginCallback -> IO a -> IO a
withVertexCallback :: NURBSObj -> VertexCallback -> IO a -> IO a
withNormalCallback :: NURBSObj -> NormalCallback -> IO a -> IO a
withColorCallback :: NURBSObj -> ColorCallback -> IO a -> IO a
withEndCallback :: NURBSObj -> EndCallback -> IO a -> IO a
checkForError :: NURBSObj -> IO a -> IO a
nurbsBeginEndCurve :: NURBSObj -> IO a -> IO a
gluNurbsCurve :: NURBSObj -> GLint -> Ptr GLfloat -> GLint -> Ptr GLfloat -> GLint -> GLenum -> IO ()
nurbsBeginEndSurface :: NURBSObj -> IO a -> IO a
gluNurbsSurface :: NURBSObj -> GLint -> Ptr GLfloat -> GLint -> Ptr GLfloat -> GLint -> GLint -> Ptr GLfloat -> GLint -> GLint -> GLenum -> IO ()
nurbsBeginEndTrim :: NURBSObj -> IO a -> IO a
gluPwlCurve :: NURBSObj -> GLint -> Ptr GLfloat -> GLint -> GLenum -> IO ()
data NURBSMode

Constructors

NURBSTessellator |
NURBSRenderer |

Instances

Eq NURBSMode
Ord NURBSMode
Show NURBSMode

setNURBSMode :: NURBSObj -> NURBSMode -> IO ()
setCulling :: NURBSObj -> Capability -> IO ()
data SamplingMethod

Constructors

PathLength GLfloat |
ParametricError GLfloat |
DomainDistance GLfloat GLfloat |
ObjectPathLength GLfloat |
ObjectParametricError GLfloat |

Instances

Eq SamplingMethod
Ord SamplingMethod
Show SamplingMethod

setSamplingMethod :: NURBSObj -> SamplingMethod -> IO ()
loadSamplingMatrices :: (Matrix m1, Matrix m2) => NURBSObj -> Maybe (m1 GLfloat, m2 GLfloat, (Position, Size)) -> IO ()
data DisplayMode'

Constructors

Fill' |
OutlinePolygon |
OutlinePatch |

Instances

Eq DisplayMode'
Ord DisplayMode'
Show DisplayMode'

setDisplayMode :: NURBSObj -> DisplayMode' -> IO ()
Produced by Haddock version 0.7